Bug 1573428 - [DOCS] Update BuildOverrides overview
Summary: [DOCS] Update BuildOverrides overview
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: All
OS: All
low
low
Target Milestone: ---
: ---
Assignee: Michael Burke
QA Contact: Wenjing Zheng
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 08:40 UTC by Juan Luis de Sousa-Valadas
Modified: 2018-05-21 13:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 13:40:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Juan Luis de Sousa-Valadas 2018-05-01 08:40:04 UTC
Document URL:

https://docs.openshift.com/container-platform/3.9/install_config/build_defaults_overrides.html

Section Number and Name: 

Overview and Setting Global Build Overrides

Describe the issue: 
In overview it states:

It currently supports overriding the forcePull flag on a build strategy to enforce always refreshing the local image during a build by pulling the image from the registry. This ensures that a user can only build with an image that they are allowed to pull. The plug-in can also be configured to apply a set of image labels to every built image.

However in Setting Global Build Overrides it can also modify a nodeSelector, annotations and tolerations.

Suggestions for improvement:
Mention update what can be done in the overview.

Additional information:

Comment 1 Michael Burke 2018-05-10 21:24:17 UTC
Juan -- What do we need to fix here? 

I added links to the "Manually Setting Global Build Overrides" with the values that can be used for overrides. Also, I added the conclusions that Nicolas added to the customer case. What else can we do to clarify this topic?  

Further down you say:
'Regarding BuildDefaults[2] our docs say: "Build pods will only run on nodes with the key1=value2 and key2=value2 labels. Users can define a different set of nodeSelectors for their builds in which case these values will be ignored." This has to be fixed.'
How can this be improved/corrected? 

The customer, Per, asked about the following:
"Defaults will only be applied if the build configuration does not define any key/value pairs for the nodeSelector and also does not define an explicitly empty map value of nodeSelector:{}." from https://docs.openshift.com/container-platform/3.9/dev_guide/builds/advanced_build_operations.html#dev-guide-assigning-builds-to-nodes. What happend when the nodeSelector is null?
Would it make sense to add Nicolas' conclusions to this section also? 

PS. I saw in our docs:
Regarding BuildOverrides[1] our docs say: "Build pods will only run on nodes with the key1=value2 and key2=value2 labels" in both topics.
Should this be "key1=value1" to match the examples in both topics?
For example, <9> in Step 1
https://docs.openshift.com/container-platform/3.9/install_config/build_defaults_overrides.html#manually-setting-global-build-defaults

<1> in
https://docs.openshift.com/container-platform/3.9/dev_guide/builds/advanced_build_operations.html#dev-guide-assigning-builds-to-nodes

Comment 3 Michael Burke 2018-05-15 22:49:31 UTC
Juan --

How many versions back should the changes be applied? The BuildDefaults and BuildOverrides plug-ins go back to at least 3.2

Comment 4 Juan Luis de Sousa-Valadas 2018-05-16 07:25:56 UTC
Michael --

The changes look good to me.

About how many branches should get this, based on the documentation available, I'm certain until 3.6.


Note You need to log in before you can comment on or make changes to this bug.